/***********************************************************
  文件名：08_Flame_alarm.ino
  描述：制作火焰报警器。
  作者：陈志强
  日期：2022.11.3
***********************************************************/
//火焰传感器s引脚接D4，火焰传感器A接A0（如需要检测火焰传感器模拟值）；无源蜂鸣器接D9口；
 int FlamelDigitalValue;//定义数字变量,读取火焰数字值
 int FlamelAnalogValue;//定义数字变量,读取火焰模拟值
 int BuzzerPin=9;//定义数字常量，无源蜂鸣器接数字9口

void setup(){
  Serial.begin(9600);//设置串口波特率
  pinMode(A0, INPUT);//设置火焰传感器模拟引脚为输入
  pinMode(4, INPUT);//设置火焰传感器数字引脚为输入
}

void loop(){
  

  FlamelAnalogValue = analogRead(A0);//读取火焰传感器模拟值
  FlamelDigitalValue = digitalRead(4);//读取火焰传感器数字值
  Serial.print("FlamelAnalogValue：");
  Serial.print(FlamelAnalogValue);//打印火焰传感器模拟值
  Serial.print("      FlamelDigital Data:");
  Serial.println(FlamelDigitalValue);//打印火焰传感器数字值
  if (FlamelDigitalValue == 0) {//判断火焰传感器是否检测到火焰  检测到火焰  蜂鸣器报警 
    pinMode(BuzzerPin, OUTPUT);//设置无源蜂鸣器模块引脚为输出
    tone(BuzzerPin,196);//蜂鸣器响起
    delay(2000);//延时2s

  } else {
    pinMode(BuzzerPin, OUTPUT);
    noTone(BuzzerPin);//蜂鸣器停止

  }

}
